=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
 ftp://ftp.recompile.se/pub/mandos/mandos[-_]([^\s]+?)(?:\.orig)?\.tar\.(?:gz|bz2|7z|xz)
