## mandos 1.7.7

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,20 @@
 # For info about _FORTIFY_SOURCE, see feature_test_macros(7)
 # and <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
 FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
+# <https://developerblog.redhat.com/2014/10/16/gcc-undefined-behavior-sanitizer-ubsan/>
+ALL_SANITIZE_OPTIONS:=-fsanitize=address -fsanitize=undefined \
+        -fsanitize=shift -fsanitize=integer-divide-by-zero \
+        -fsanitize=unreachable -fsanitize=vla-bound -fsanitize=null \
+        -fsanitize=return -fsanitize=signed-integer-overflow \
+        -fsanitize=bounds -fsanitize=alignment \
+        -fsanitize=object-size -fsanitize=float-divide-by-zero \
+        -fsanitize=float-cast-overflow -fsanitize=nonnull-attribute \
+        -fsanitize=returns-nonnull-attribute -fsanitize=bool \
+        -fsanitize=enum
+# Check which sanitizing options can be used
+SANITIZE:=$(foreach option,$(ALL_SANITIZE_OPTIONS),$(shell \
+	echo 'int main(){}' | $(CC) --language=c $(option) /dev/stdin \
+	-o /dev/null >/dev/null 2>&1 && echo $(option)))
 LINK_FORTIFY_LD=-z relro -z now
 LINK_FORTIFY=
 
@@ -26,11 +40,11 @@
 OPTIMIZE=-Os -fno-strict-aliasing
 LANGUAGE=-std=gnu11
 htmldir=man
-version=1.7.1
+version=1.7.7
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
-GROUP=$(firstword $(subst :, ,$(shell getent group _mandos || getent group nobody || echo 65534)))
+GROUP=$(firstword $(subst :, ,$(shell getent group _mandos || getent group nogroup || echo 65534)))
 
 ## Use these settings for a traditional /usr/local install
 # PREFIX=$(DESTDIR)/usr/local
@@ -61,6 +75,7 @@
 ##
 
 SYSTEMD=$(DESTDIR)$(shell pkg-config systemd --variable=systemdsystemunitdir)
+TMPFILES=$(DESTDIR)$(shell pkg-config systemd --variable=tmpfilesdir)
 
 GNUTLS_CFLAGS=$(shell pkg-config --cflags-only-I gnutls)
 GNUTLS_LIBS=$(shell pkg-config --libs gnutls)
@@ -73,9 +88,9 @@
 LIBNL3_LIBS=$(shell pkg-config --libs libnl-route-3.0)
 
 # Do not change these two
-CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
-	$(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) \
-	-DVERSION='"$(version)"'
+CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(SANITIZE) $(COVERAGE) \
+	$(OPTIMIZE) $(LANGUAGE) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) \
+	$(GPGME_CFLAGS) -DVERSION='"$(version)"'
 LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
@@ -317,27 +332,3 @@
 
 install-server: doc
 	install --directory $(CONFDIR)
-	if install --directory --mode=u=rwx --owner=$(USER) \
-		--group=$(GROUP) $(STATEDIR); then \
-		:; \
-	elif install --directory --mode=u=rwx $(STATEDIR); then \
-		chown -- $(USER):$(GROUP) $(STATEDIR) || :; \
-	fi
-	install --mode=u=rwx,go=rx mandos $(PREFIX)/sbin/mandos
-	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
-		mandos-ctl
-	install --mode=u=rwx,go=rx --target-directory=$(PREFIX)/sbin \
-		mandos-monitor
-	install --mode=u=rw,go=r --target-directory=$(CONFDIR) \
-		mandos.conf
-	install --mode=u=rw --target-directory=$(CONFDIR) \
-		clients.conf
-	install --mode=u=rw,go=r dbus-mandos.conf \
-		$(DESTDIR)/etc/dbus-1/system.d/mandos.conf
-	install --mode=u=rwx,go=rx init.d-mandos \
-		$(DESTDIR)/etc/init.d/mandos
-	if [ "$(SYSTEMD)" != "$(DESTDIR)" -a -d "$(SYSTEMD)" ]; then \
-		install --mode=u=rw,go=r mandos.service $(SYSTEMD); \
-	fi
-	install --mode=u=rw,go=r default-mandos \
-		$(DESTDIR)/etc/default/mandos
