=== debian/changelog ===
mandos (1.7.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/mandos-client.postinst (configure): If older version, fix
    permissions on plugin helper directory.  Also fix permissions on
    plugin helper local override directory (/etc/mandos/plugin-helpers),
    but only if not listed by "dpkg-statoverride".
  * debian/rules (override_dh_fixperms-arch): Exclude plugin helper
    directory from dh_fixperms.
  * debian/mandos.postinst (configure): Fix state directory permissions,
    but only if not listed by "dpkg-statoverride".
  * debian/mandos-client.lintian-overrides: Do not warn about permissions
    on plugin helper directory.
  * debian/mandos.dirs (usr/lib/tmpfiles.d): Added.

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 19 Mar 2016 22:58:49 +0100

mandos (1.7.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Source: mandos/Build-Depends-Indep): Remove
    "python-avahi".
    (Source: mandos/Build-Depends-Indep): Change "python-gi |
    python-gobject" to "python-gi"; i.e. remove "python-gobject".

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 13 Mar 2016 22:58:23 +0100

mandos (1.7.5-1) unstable; urgency=high

  * New upstream release.
  * debian/mandos.postinst (configure): If old version was 1.7.4-1 or
    1.7.4-1~bpo8+1, fix situation where clients.pickle file is owned by
    root.

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 08 Mar 2016 01:09:55 +0100

mandos (1.7.4-1) unstable; urgency=medium

  * New upstream release.
  * initramfs-tools-script: Fix "Call to configure_network in initramfs
    script broken due to set -e" by surrounding call by "set +x" and "set
    -e" (Closes: #816513)
  * debian/control: (Source: mandos/Build-Depends-Indep): Change
    "python-gobject | python-gi" to "python-gi | python-gobject"
    (Package: mandos/Depends): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 05 Mar 2016 23:10:07 +0100

mandos (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Mon, 29 Feb 2016 22:26:38 +0100

mandos (1.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix "Uses unneeded and obsolete version specific python packages"
    by removing version-specific dependencies (Closes: #811159)
  * debian/control (Source: mandos/Build-Depends): Add (>= 3.3.0) to
    "libgnutls28-dev" and "gnutls-dev".
    (Source: mandos/Build-Depends-Indep): Remove "python2.7-gnutls",
    "python2.7", "python2.7-dbus", "python2.7-avahi", and
    "python2.7-gobject"; replace with "python (>= 2.7), python (<< 3)",
    "python-dbus", "python-avahi", "python-gobject | python-gi".
    (Package: mandos/Depends): Remove "python-gnutls" and
    "python2.7-gnutls", add "libgnutls28-dev (>= 3.3.0) | libgnutls30 (>=
    3.3.0)".  Add "python (<< 3)".  Remove "python2.7-dbus",
    "python2.7-avahi", "python2.7-gobject", and "python2.7-urwid".
    Replace "python-gobject" with "python-gobject | python-gi" and "gnupg
    (<< 2)" with "gnupg".
    (Package: mandos-client/Depends): Replace
    "gnupg (<< 2)" with "gnupg".
    (Source: mandos/Standards-Version): Change to 3.9.7.
  * debian/copyright (Copyright): Update copyright year.

 -- Teddy Hogeborn <teddy@recompile.se>  Sun, 28 Feb 2016 16:09:01 +0100
