=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
-	libavahi-core-dev, libgpgme11-dev, libgnutls28-dev
-	| gnutls-dev, xsltproc, pkg-config, libnl-route-3-dev
-Build-Depends-Indep: systemd, python2.7, python2.7-gnutls,
-	python2.7-dbus, python2.7-avahi, python2.7-gobject
-Standards-Version: 3.9.6
+	libavahi-core-dev, libgpgme11-dev, libgnutls28-dev (>= 3.3.0)
+	| gnutls-dev (>= 3.3.0), xsltproc, pkg-config,
+	libnl-route-3-dev
+Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
+	python-dbus, python-gi
+Standards-Version: 3.9.7
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: http://www.recompile.se/mandos
 
 Package: mandos
 Architecture: all
-Depends: ${misc:Depends}, python (>= 2.7), python2.7, python-gnutls,
-	python2.7-gnutls, python-dbus, python2.7-dbus, python-avahi,
-	python2.7-avahi, python-gobject, python2.7-gobject,
-	avahi-daemon, adduser, python-urwid, python2.7-urwid,
-	gnupg (<< 2)
+Depends: ${misc:Depends}, python (>= 2.7), python (<< 3),
+	libgnutls28-dev (>= 3.3.0) | libgnutls30 (>= 3.3.0),
+	python-dbus, python-gi, avahi-daemon, adduser, python-urwid,
+	gnupg
 Recommends: ssh-client | fping
 Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
@@ -40,7 +40,7 @@
 Package: mandos-client
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
-	gnupg (<< 2), initramfs-tools, dpkg-dev (>=1.16.0)
+	initramfs-tools, dpkg-dev (>=1.16.0)
 Recommends: ssh, gnutls-bin | openssl
 Breaks: dropbear (<= 0.53.1-1)
 Enhances: cryptsetup
