=== debian/changelog ===
mandos (1.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Teddy Hogeborn <teddy@recompile.se>  Wed, 22 Jun 2016 07:30:12 +0200

mandos (1.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Fix "bad gpgme_op_decrypt: GPGME: Decryption failed." by copying
    /usr/bin/gpg-agent into initramfs (Closes: #819982)
  * debian/control (Homepage): Change URL to use HTTPS.
    (Standards-Version): Update to 3.9.8.
  * debian/copyright (Source): Change URL to HTTPS.
  * debian/mandos-client.README.Debian: Change wording to match updated
    capabilities.

 -- Teddy Hogeborn <teddy@recompile.se>  Tue, 21 Jun 2016 21:36:10 +0200
