=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 	libnl-route-3-dev
 Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
 	python-dbus, python-gi
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
-Homepage: http://www.recompile.se/mandos
+Homepage: https://www.recompile.se/mandos
 
 Package: mandos
 Architecture: all
