## mandos 1.7.10

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 OPTIMIZE=-Os -fno-strict-aliasing
 LANGUAGE=-std=gnu11
 htmldir=man
-version=1.7.9
+version=1.7.10
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
