## mandos 1.7.11

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 	-Wmissing-format-attribute -Wnormalized=nfc -Wpacked \
 	-Wredundant-decls -Wnested-externs -Winline -Wvla \
 	-Wvolatile-register-var -Woverlength-strings
-#DEBUG=-ggdb3
+#DEBUG=-ggdb3 -fsanitize=address 
 # For info about _FORTIFY_SOURCE, see feature_test_macros(7)
-# and <http://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
+# and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
 FORTIFY=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
 # <https://developerblog.redhat.com/2014/10/16/gcc-undefined-behavior-sanitizer-ubsan/>
-ALL_SANITIZE_OPTIONS:=-fsanitize=address -fsanitize=undefined \
+ALL_SANITIZE_OPTIONS:=-fsanitize=leak -fsanitize=undefined \
         -fsanitize=shift -fsanitize=integer-divide-by-zero \
         -fsanitize=unreachable -fsanitize=vla-bound -fsanitize=null \
         -fsanitize=return -fsanitize=signed-integer-overflow \
@@ -40,7 +40,7 @@
 OPTIMIZE=-Os -fno-strict-aliasing
 LANGUAGE=-std=gnu11
 htmldir=man
-version=1.7.10
+version=1.7.11
 SED=sed
 
 USER=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
