=== debian/changelog ===
mandos (1.7.11-1) unstable; urgency=high

  * New upstream release.
  * debian/control (Source: mandos/Vcs-Bzr): Change to use HTTPS.
    (Vcs-Browser): - '' -

 -- Teddy Hogeborn <teddy@recompile.se>  Sat, 01 Oct 2016 16:20:48 +0200

mandos (1.7.10-1) unstable; urgency=high

  * New upstream release.
  * debian/rules (override_dh_fixperms-arch): Also exclude
    "etc/mandos/plugin-helpers" from changes by dh_fixperms.
  * debian/mandos-client.postinst: Fix the permissions of
    "/etc/mandos/plugin-helpers" for those systems which had a fresh
    install of an older version.

 -- Teddy Hogeborn <teddy@recompile.se>  Thu, 23 Jun 2016 22:00:29 +0200
