=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
 	python-dbus, python-gi
 Standards-Version: 3.9.8
-Vcs-Bzr: http://ftp.recompile.se/pub/mandos/trunk
-Vcs-Browser: http://bzr.recompile.se/loggerhead/mandos/trunk/files
+Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
+Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos
 
 Package: mandos
