=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 9), docbook-xml, docbook-xsl,
-	libavahi-core-dev, libgpgme11-dev, libgnutls28-dev (>= 3.3.0)
-	| gnutls-dev (>= 3.3.0), xsltproc, pkg-config,
-	libnl-route-3-dev
+	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
+	libgnutls28-dev (>= 3.3.0) | gnutls-dev (>= 3.3.0),
+	xsltproc, pkg-config, libnl-route-3-dev
 Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
 	python-dbus, python-gi
 Standards-Version: 3.9.8
@@ -20,7 +20,7 @@
 Depends: ${misc:Depends}, python (>= 2.7), python (<< 3),
 	libgnutls28-dev (>= 3.3.0) | libgnutls30 (>= 3.3.0),
 	python-dbus, python-gi, avahi-daemon, adduser, python-urwid,
-	gnupg
+	gnupg2 | gnupg, systemd-sysv | lsb-base (>= 3.0-6)
 Recommends: ssh-client | fping
 Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
