=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 override_dh_fixperms-arch:
 	dh_fixperms --exclude etc/keys/mandos \
 		--exclude etc/mandos/plugins.d \
+		--exclude etc/mandos/plugin-helpers \
 		--exclude usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)/mandos/plugins.d \
 		--exclude usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)/mandos/plugin-helpers \
 		--exclude usr/share/doc/mandos-client/examples/network-hooks.d
